List scans
curl --request GET \
--url https://app.gecko.security/api/v1/scans \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.gecko.security/api/v1/scans"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.gecko.security/api/v1/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "v1",
"data": [
{
"id": "f5d35de5-8fc8-4a01-8e28-3bae5d6d26ad",
"name": "Sample Scan",
"status": "completed",
"isDone": true,
"createdAt": "2025-04-22T15:34:53.674Z",
"endAt": "2025-04-22T16:08:22.115Z",
"programmingLanguage": "TypeScript",
"progress": 100,
"vulnerabilityCounts": {
"total": 42,
"critical": 3,
"high": 11,
"medium": 20,
"low": 8
}
}
],
"pagination": {
"total": 123,
"limit": 50,
"offset": 0,
"hasMore": true
},
"filters": {
"status": "completed",
"language": "typescript"
}
}Scans
List scans
Returns scans for the team attached to your API key. This route requires a key whose role includes the scans.read permission.
GET
/
api
/
v1
/
scans
List scans
Authorizations
Team-scoped Gecko API key. Keys start with gk_.
Query Parameters
Filter scans by status.
Filter scans by programming language.
Maximum number of results to return. Gecko defaults to 100 and caps the value at 1000.
Required range:
1 <= x <= 1000Number of results to skip before Gecko starts returning rows.
Required range:
x >= 0Was this page helpful?
⌘I